Bug 222313 - RFE: fence_ilo2 script for ilo2 interfaces that do not come with IPMI capabilities
RFE: fence_ilo2 script for ilo2 interfaces that do not come with IPMI capabil...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: fence (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ryan McCabe
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-11 11:09 EST by Josef Bacik
Modified: 2009-04-16 16:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-23 17:18:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fence_ilo2 script that uses the ilo2's telnet interface. (6.02 KB, text/plain)
2007-01-11 11:09 EST, Josef Bacik
no flags Details
new fence_ilo2 script (6.15 KB, text/plain)
2007-01-22 12:06 EST, Josef Bacik
no flags Details
fence_ilo.pl updated for ilo2 (13.13 KB, application/x-perl)
2007-02-19 12:15 EST, Ryan McCabe
no flags Details

  None (edit)
Description Josef Bacik 2007-01-11 11:09:16 EST
Description of problem:
Ok apparently iLo2 interfaces not only have an ssh server that responds way 
too slow to use the normal fence_ilo script on it, but they also may not have 
an IPMI interface.  Most iLo2 interfaces come equipped with IPMI capabilites, 
which you can use fence_ipmi with the lanplus option to make it work, but 
apparently on some blades the IPMI capability does not exist.  There is yet 
another way to work with the ilo2 interfaces, they have a telnet server which 
you can do power management through.  This script is adapted from the 
fence_rsa script and has been tested with one of these non-IPMI iLo2 
interfaces and it works.

How reproducible:
Every time.

Steps to Reproduce:
1. Buy a HP box with a watered down ilo2 interface
2. try to use fence_ilo or fence_ipmi with the lanplus option
  
Actual results:
with fence_ilo the ssh connection times out trying to connect to the ilo2 
interface, and if you have the watered down version of the ilo2 interface 
fence_ipmi with the lanplus option will complain loudly about the interface 
not having IPMI capabilities.


Expected results:
Should just reboot the box like a good fence script.
Comment 1 Josef Bacik 2007-01-11 11:09:16 EST
Created attachment 145363 [details]
fence_ilo2 script that uses the ilo2's telnet interface.
Comment 2 Josef Bacik 2007-01-22 12:06:05 EST
Created attachment 146197 [details]
new fence_ilo2 script

Ok apparently when we pass options via stdin we get the \n on our options,
which is fine for ipaddr/login/passwd etc, but for option we do comparisons,
which screws up so option is ignored when passing it via stdin.  This new
script does an rstrip() on the option string before checking it to rip off the
newline, its been tested and it works.
Comment 3 Jim Parsons 2007-02-07 10:08:22 EST
What we actually need in bugzilla is a "Need Hardware"  state! Thanks for the
script, josef. I would really like to integrate ilo and ilo2 agents into one
agent script that just does the correct thing, so that users did not have to
specify fence_ilo or fence_ilo2 in the conf file. I need an ilo2 enabled blade
to test this on, though. As of today, Feb. 07, 2007, I was told I would be
receiving some about 3 weeks ago. 
Comment 4 Ryan McCabe 2007-02-19 12:15:09 EST
Created attachment 148342 [details]
fence_ilo.pl updated for ilo2
Comment 5 Ryan McCabe 2007-02-19 12:17:47 EST
Josef, could you test the script I attached above on your hardware? It uses the
SSL interface, and I've tested it on firmware "iLO Advanced 1.26 at 10:01:40 Nov
17 2006" (RIBCL 2.22).
Comment 6 Josef Bacik 2007-02-19 14:41:21 EST
unfortunately I don't have any hardware, I've been relying on customers to 
test stuff.  I will hit some of the techs of previous customers and see if 
they will test it.
Comment 7 Ryan McCabe 2007-02-20 17:09:05 EST
We found another box with an ilo2 card here in Westford, and the script works
correctly there, too, so I've checked it into CVS.

Note You need to log in before you can comment on or make changes to this bug.